package com.rf.youth.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum OrderStatus {
    /**
     * 已入住
     */
    CHECK_IN("0"),


    /**
     * 续住
     */
    CHECKING("1"),

    /**
     * 退房
     */
    CHECK_OUT("2");



    /**
     * 类型
     */
    private final String type;
}
