package com.rf.youth.order.service.impl;

import com.rf.youth.order.model.WorkOrder;
import com.rf.youth.order.repository.WorkOrderRepository;
import com.rf.youth.order.service.WorkOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description:入住工单
 * @Author: zsf
 * @Date: 2022/8/5
 */
@Service
public class WorkOrderServiceImpl implements WorkOrderService {


    @Autowired
    private WorkOrderRepository workOrderRepository;


    /**
     * 生成工单
     * @param order 工单
     * @return
     */
    @Override
    public WorkOrder saveOrder(WorkOrder order) {
        WorkOrder workOrder = null;
        try {
            workOrder = workOrderRepository.save(order);
        }catch (Exception e){
            e.printStackTrace();
        }
        return workOrder;
    }
}
