package com.rf.youth.schedule;

import com.rf.youth.user.service.UserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;

/**
 * @author zzf
 * @description:定时任务，修复原有的默认分组信息
 * @date 2022/5/23 18:07
 */
//@Configuration
//@EnableScheduling
@Slf4j
public class StaticScheduleTask {


    @Autowired
    private UserService userService;



    /**
     *3.添加定时任务
     * 服务启动完成后 5秒指定第一次任务，之后每当本次任务结束之后5分钟再执行下一次任务
     */
    @Scheduled(initialDelay = 5000,fixedDelay = 3000000)
    private void configureTasks() {
    }



}
