package com.rf.youth.user.service;

import com.rf.youth.user.dao.model.UserEntity;

/**
 * @author zsy
 * @description:登录认证
 * @date 2021/6/17 15:55
 */
public interface UserService {


    /**
     * 根据用户名称获取用户
     * @param username 用户名
     * @return
     */
    UserEntity findUserByName(String username);

    /**
     * 获取用户
     * @param username 用户名
     * @param password 密码
     * @return
     */
    UserEntity findUserByNameAndPassword(String username, String password);


    UserEntity findUserById(String id);

    UserEntity saveUser(UserEntity userEntity);
}
