package com.rf.youth.menu.service;

import com.rf.youth.menu.dao.model.MenuEntry;
import com.rf.youth.menu.dao.model.RoleMenuEntry;

import java.util.List;

public interface MenuService {

    /**
     * 查询一级菜单
     *
     * @param roleMenuEntryList
     * @param menuNo
     * @return
     */
    List<MenuEntry> findAll(List<RoleMenuEntry> roleMenuEntryList, String menuNo);

    /**
     * menuNo---menuEntry
     * @param menuNo
     * @return
     */
    MenuEntry findByMenuNo(String menuNo);
}
