package com.rf.youth.user.dao.repository;

import com.rf.youth.base.repository.BaseRepository;
import com.rf.youth.user.dao.model.UserEntity;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Optional;

/**
 * @author zsy
 * @description:登录认证
 * @date 2021/6/17 15:55
 */
public interface UserRepository extends BaseRepository<UserEntity, String> {


    UserEntity findByUsername(String username);

    UserEntity findByUsernameAndPassword(String username,String password);
}
